import { sequenceCodePrint } from "./sequenceCodePrint.js";
import { numberCodePrint } from "./numberCodePrint.js";
import { serialNumberPrint } from "./serialNumberPrint.js";
import { numberCodePrint10 } from "./numberCodePrint10.js";
import { twoCodePrint } from "./twoCodePrint.js";
import { oneCodePrint } from "./oneCodePrint.js";
import { oneNumberCodePrint } from "./oneNumberCodePrint.js";
import { useMsg } from "@/hooks/useMsg";
export const barCOdePrintFunctionObj = (val, list, callBack) => {
    if (val === 1 || val === 5) {
        sequenceCodePrint(list, callBack);
    }
    if (val === 2 || val === 6) {
        numberCodePrint(list, callBack);
    }
    if (val === 3 || val === 7) {
        serialNumberPrint(list, callBack);
    }
    if (val === 4 || val === 8) {
        numberCodePrint10(list, callBack);
    }
    if (val === 9 || val === 10) {
        if (list.length && list.length % 2 != 0) {
            useMsg("warning", "必须勾选数量为双数才可以打印两件装序号 !");
            return;
        }
        twoCodePrint(list, callBack);
    }
    if (val === 11 || val === 12) {
        oneCodePrint(list, callBack);
    }
    if (val === 13 || val === 14) {
        console.log(val, "========val==========");
        oneNumberCodePrint(list, callBack);
    }
};
